#ifndef __ARVOCONFIG_INFO_FRAME_H__
#define __ARVOCONFIG_INFO_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/arvo.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ARVOCONFIG_INFO_FRAME_TYPE (arvoconfig_info_frame_get_type())
#define ARVOCONFIG_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ARVOCONFIG_INFO_FRAME_TYPE, ArvoconfigInfoFrame))
#define IS_ARVOCONFIG_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ARVOCONFIG_INFO_FRAME_TYPE))

typedef struct _ArvoconfigInfoFrameClass ArvoconfigInfoFrameClass;
typedef struct _ArvoconfigInfoFrame ArvoconfigInfoFrame;
typedef struct _ArvoconfigInfoFramePrivate ArvoconfigInfoFramePrivate;

struct _ArvoconfigInfoFrameClass {
	GtkFrameClass parent_class;
};

struct _ArvoconfigInfoFrame {
	GtkFrame frame;
	ArvoconfigInfoFramePrivate *priv;
};

GType arvoconfig_info_frame_get_type(void);
GtkWidget *arvoconfig_info_frame_new(void);

void arvoconfig_info_frame_clear(ArvoconfigInfoFrame *frame);
void arvoconfig_info_frame_set(ArvoconfigInfoFrame *frame, ArvoInfo *info);

G_END_DECLS

#endif
