#ifndef __ARVOCONFIG_SETTINGS_PAGE_H__
#define __ARVOCONFIG_SETTINGS_PAGE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/arvo.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ARVOCONFIG_SETTINGS_PAGE_TYPE (arvoconfig_settings_page_get_type())
#define ARVOCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ARVOCONFIG_SETTINGS_PAGE_TYPE, ArvoconfigSettingsPage))
#define IS_ARVOCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ARVOCONFIG_SETTINGS_PAGE_TYPE))

typedef struct _ArvoconfigSettingsPage ArvoconfigSettingsPage;

GType arvoconfig_settings_page_get_type(void);
GtkWidget *arvoconfig_settings_page_new(void);

guint arvoconfig_settings_page_get_actual_profile(ArvoconfigSettingsPage *settings_page);
void arvoconfig_settings_page_set_actual_profile(ArvoconfigSettingsPage *settings_page, guint profile_number);

void arvoconfig_settings_page_clear_info(ArvoconfigSettingsPage *settings_page);
void arvoconfig_settings_page_set_info(ArvoconfigSettingsPage *settings_page, ArvoInfo *info);

G_END_DECLS

#endif
