#ifndef __ISKU_INFO_FRAME_H__
#define __ISKU_INFO_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/isku.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ISKU_INFO_FRAME_TYPE (isku_info_frame_get_type())
#define ISKU_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ISKU_INFO_FRAME_TYPE, IskuInfoFrame))
#define IS_ISKU_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ISKU_INFO_FRAME_TYPE))

typedef struct _IskuInfoFrameClass IskuInfoFrameClass;
typedef struct _IskuInfoFrame IskuInfoFrame;
typedef struct _IskuInfoFramePrivate IskuInfoFramePrivate;

struct _IskuInfoFrameClass {
	GtkFrameClass parent_class;
};

struct _IskuInfoFrame {
	GtkFrame frame;
	IskuInfoFramePrivate *priv;
};

GType isku_info_frame_get_type(void);
GtkWidget *isku_info_frame_new(void);

void isku_info_frame_clear(IskuInfoFrame *frame);
void isku_info_frame_set(IskuInfoFrame *frame, IskuInfo *info);

G_END_DECLS

#endif
