#ifndef __KONECONFIG_WEIGHT_FRAME_H__
#define __KONECONFIG_WEIGHT_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define KONECONFIG_WEIGHT_FRAME_TYPE (koneconfig_weight_frame_get_type())
#define KONECONFIG_WEIGHT_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), KONECONFIG_WEIGHT_FRAME_TYPE, KoneconfigWeightFrame))
#define IS_KONECONFIG_WEIGHT_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), KONECONFIG_WEIGHT_FRAME_TYPE))

typedef struct _KoneconfigWeightFrameClass KoneconfigWeightFrameClass;
typedef struct _KoneconfigWeightFrame KoneconfigWeightFrame;
typedef struct _KoneconfigWeightFramePrivate KoneconfigWeightFramePrivate;

struct _KoneconfigWeightFrameClass {
	GtkFrameClass parent_class;
	void(*update)(KoneconfigWeightFrame *frame);
};

struct _KoneconfigWeightFrame {
	GtkFrame frame;
	KoneconfigWeightFramePrivate *priv;
};

GType koneconfig_weight_frame_get_type(void);
GtkWidget *koneconfig_weight_frame_new(void);

void koneconfig_weight_frame_set_value(KoneconfigWeightFrame *frame, guint value);
void koneconfig_weight_frame_unset_value(KoneconfigWeightFrame *frame);

G_END_DECLS

#endif
