#ifndef __KONEPLUS_SETTINGS_PAGE_H__
#define __KONEPLUS_SETTINGS_PAGE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/koneplus.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define KONEPLUS_SETTINGS_PAGE_TYPE (koneplus_settings_page_get_type())
#define KONEPLUS_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), KONEPLUS_SETTINGS_PAGE_TYPE, KoneplusSettingsPage))
#define IS_KONEPLUS_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), KONEPLUS_SETTINGS_PAGE_TYPE))

typedef struct _KoneplusSettingsPage KoneplusSettingsPage;

GType koneplus_settings_page_get_type(void);
GtkWidget *koneplus_settings_page_new(void);

guint koneplus_settings_page_get_actual_profile(KoneplusSettingsPage *settings_page);
void koneplus_settings_page_set_actual_profile(KoneplusSettingsPage *settings_page, guint profile_number);

void koneplus_settings_page_clear_info(KoneplusSettingsPage *settings_page);
void koneplus_settings_page_set_info(KoneplusSettingsPage *settings_page, KoneplusInfo *info);

guint koneplus_settings_page_get_dcu_value(KoneplusSettingsPage *settings_page);
void koneplus_settings_page_set_dcu_value_blocked(KoneplusSettingsPage *settings_page, guint value);

guint koneplus_settings_page_get_tcu_value(KoneplusSettingsPage *settings_page);
void koneplus_settings_page_set_tcu_value_blocked(KoneplusSettingsPage *settings_page, guint value);

G_END_DECLS

#endif
