#ifndef __KOVAPLUSCONFIG_SETTINGS_PAGE_H__
#define __KOVAPLUSCONFIG_SETTINGS_PAGE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/kovaplus.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define KOVAPLUSCONFIG_SETTINGS_PAGE_TYPE (kovaplusconfig_settings_page_get_type())
#define KOVAPLUSCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), KOVAPLUSCONFIG_SETTINGS_PAGE_TYPE, KovaplusconfigSettingsPage))
#define IS_KOVAPLUSCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), KOVAPLUSCONFIG_SETTINGS_PAGE_TYPE))

typedef struct _KovaplusconfigSettingsPage KovaplusconfigSettingsPage;

GType kovaplusconfig_settings_page_get_type(void);
GtkWidget *kovaplusconfig_settings_page_new(void);

guint kovaplusconfig_settings_page_get_actual_profile(KovaplusconfigSettingsPage *settings_page);
void kovaplusconfig_settings_page_set_actual_profile(KovaplusconfigSettingsPage *settings_page, guint profile_number);

void kovaplusconfig_settings_page_clear_info(KovaplusconfigSettingsPage *settings_page);
void kovaplusconfig_settings_page_set_info(KovaplusconfigSettingsPage *settings_page, KovaplusInfo *info);

G_END_DECLS

#endif
