#ifndef __ROCCAT_CONFIG_WINDOW_H__
#define __ROCCAT_CONFIG_WINDOW_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_CONFIG_WINDOW_TYPE (roccat_config_window_get_type())
#define ROCCAT_CONFIG_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_CONFIG_WINDOW_TYPE, RoccatConfigWindow))
#define IS_ROCCAT_CONFIG_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_CONFIG_WINDOW_TYPE))

typedef struct _RoccatConfigWindow RoccatConfigWindow;

GType roccat_config_window_get_type(void);
GtkWidget *roccat_config_window_new(gchar const *total_device_name);
void roccat_config_window_append_page(RoccatConfigWindow *roccat_config_window, GtkWidget *child, GtkWidget *tab_label);
void roccat_config_window_set_tab_label_text(RoccatConfigWindow *roccat_config_window, GtkWidget *child, gchar const *text);
void roccat_config_window_menu_insert(RoccatConfigWindow *roccat_config_window, GtkMenuItem *menu_item);
void roccat_config_window_edit_menu_append(RoccatConfigWindow *roccat_config_window, GtkMenuItem *menu_item);
void roccat_config_window_set_title_disconnected(RoccatConfigWindow *roccat_config_window);
void roccat_config_window_set_title_connected(RoccatConfigWindow *roccat_config_window, gchar const *device_name);

G_END_DECLS

#endif
