#ifndef __ROCCAT_DEVICE_RESET_FRAME_H__
#define __ROCCAT_DEVICE_RESET_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define ROCCAT_DEVICE_RESET_FRAME_TYPE (roccat_device_reset_frame_get_type())
#define ROCCAT_DEVICE_RESET_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_DEVICE_RESET_FRAME_TYPE, RoccatDeviceResetFrame))
#define IS_ROCCAT_DEVICE_RESET_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_DEVICE_RESET_FRAME_TYPE))

typedef struct _RoccatDeviceResetFrameClass RoccatDeviceResetFrameClass;
typedef struct _RoccatDeviceResetFrame RoccatDeviceResetFrame;
typedef struct _RoccatDeviceResetFramePrivate RoccatDeviceResetFramePrivate;

struct _RoccatDeviceResetFrameClass {
	GtkFrameClass parent_class;
	void(*clicked)(RoccatDeviceResetFrame *frame);
};

struct _RoccatDeviceResetFrame {
	GtkFrame frame;
	RoccatDeviceResetFramePrivate *priv;
};

GType roccat_device_reset_frame_get_type(void);
GtkWidget *roccat_device_reset_frame_new(void);

G_END_DECLS

#endif
