Name: roccat
Version: 1.0.0
Release: 1
License: GPL
Source: roccat-tools-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: gtk2-devel >= 2.20
BuildRequires: libnotify-devel
BuildRequires: libcanberra-devel
BuildRequires: cmake >= 2.6.4
BuildRequires: libusb1-devel
BuildRequires: dbus-glib
BuildRequires: dbus-glib-devel
BuildRequires: libgudev1-devel
BuildRequires: libX11-devel
ExclusiveOS: linux
Prefix: /usr
URL: http://roccat.sourceforge.net
Packager: Stefan Achatz <erazor_de@users.sourceforge.net>

%define default_udevdir /lib/udev/rules.d
%{!?udevdir: %define udevdir %{default_udevdir}}

Summary: Roccat common files
Group: System Environment/Libraries

%package devel
Requires: roccat
Summary: Development headers for roccat.
Group: Development/Libraries

%package arvo
Requires: roccat
Summary: Roccat Arvo userlandtools
Group: Applications/System

%package arvo-devel
Requires: roccat-devel
Requires: roccat-arvo
Summary: Development header for roccat-arvo.
Group: Development/Libraries

%package isku
Requires: roccat
Summary: Roccat Isku userlandtools
Group: Applications/System

%package isku-devel
Requires: roccat-devel
Requires: roccat-isku
Summary: Development header for roccat-isku.
Group: Development/Libraries

%package iskufx
Requires: roccat
Requires: roccat-isku
Summary: Roccat IskuFX userlandtools
Group: Applications/System

%package iskufx-devel
Requires: roccat-devel
Requires: roccat-iskufx
Requires: roccat-isku-devel
Summary: Development header for roccat-iskufx.
Group: Development/Libraries

%package kone
Requires: roccat
Summary: Roccat Kone userlandtools
Group: Applications/System

%package kone-devel
Requires: roccat-devel
Requires: roccat-kone
Summary: Development header for roccat-kone.
Group: Development/Libraries

%package koneplus
Requires: roccat
Summary: Roccat Kone[+] userlandtools
Group: Applications/System

%package koneplus-devel
Requires: roccat-devel
Requires: roccat-koneplus
Summary: Development header for roccat-koneplus.
Group: Development/Libraries

%package konepure
Requires: roccat
Requires: roccat-konextd
Summary: Roccat KonePure userlandtools
Group: Applications/System

%package konepure-devel
Requires: roccat-devel
Requires: roccat-konepure
Requires: roccat-konextd-devel
Summary: Development header for roccat-konepure.
Group: Development/Libraries

%package konepureoptical
Requires: roccat
Requires: roccat-konepure
Summary: Roccat KonePureOptical userlandtools
Group: Applications/System

%package konepureoptical-devel
Requires: roccat-devel
Requires: roccat-konepureoptical
Requires: roccat-konepure-devel
Summary: Development header for roccat-konepureoptical.
Group: Development/Libraries

%package konextd
Requires: roccat
Requires: roccat-koneplus
Summary: Roccat KoneXTD userlandtools
Group: Applications/System

%package konextd-devel
Requires: roccat-devel
Requires: roccat-koneplus-devel
Requires: roccat-konextd
Summary: Development header for roccat-konextd.
Group: Development/Libraries

%package kovaplus
Requires: roccat
Summary: Roccat Kova[+] userlandtools
Group: Applications/System

%package kovaplus-devel
Requires: roccat-devel
Requires: roccat-kovaplus
Summary: Development header for roccat-kovaplus.
Group: Development/Libraries

%package lua
Requires: roccat
Summary: Roccat Lua userlandtools
Group: Applications/System

%package lua-devel
Requires: roccat-devel
Requires: roccat-lua
Summary: Development header for roccat-lua.
Group: Development/Libraries

%package pyra
Requires: roccat
Summary: Roccat Pyra userlandtools
Group: Applications/System

%package pyra-devel
Requires: roccat-devel
Requires: roccat-pyra
Summary: Development header for roccat-pyra.
Group: Development/Libraries

%package ryos
Requires: roccat
Summary: Roccat Ryos userlandtools
Group: Applications/System

%package ryos-devel
Requires: roccat-devel
Requires: roccat-ryos
Summary: Development header for roccat-ryos.
Group: Development/Libraries

%package savu
Requires: roccat
Summary: Roccat Savu userlandtools
Group: Applications/System

%package savu-devel
Requires: roccat-devel
Requires: roccat-savu
Summary: Development header for roccat-savu.
Group: Development/Libraries

%description
Roccat consists of a shared library and other files shared by device specific
applications for roccat hardware.

%description devel
Roccat consists of a shared library and other files shared by device specific
applications for roccat hardware.
Here are the development headers needed to compile software that uses libroccat.

%description arvo
Arvo consists of a shared library, a console application and a GUI application.
It helps users of the arvo kernel driver to manipulate the Profiles and Settings
of a Roccat Arvo keyboard.

%description arvo-devel
Arvo consists of a shared library, a console application and a GUI application.
It helps users of the arvo kernel driver to manipulate the Profiles and Settings
of a Roccat Arvo keyboard.
These are the development headers needed to compile software that uses libarvo.

%description isku
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the Profiles and Settings
of a Roccat Isku keyboard.

%description isku-devel
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the Profiles and Settings
of a Roccat Isku keyboard.
These are the development headers needed to compile software that uses libisku.

%description iskufx
IskuFX consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the Profiles and Settings
of a Roccat IskuFX keyboard.

%description iskufx-devel
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the Profiles and Settings
of a Roccat IskuFX keyboard.
These are the development headers needed to compile software that uses libiskufx.

%description kone
Kone consists of a shared library, a console application and a GUI application.
It helps users of the kone kernel driver to manipulate the Profiles and Settings
of a Roccat Kone mouse.

%description kone-devel
Kone consists of a shared library, a console application and a GUI application.
It helps users of the kone kernel driver to manipulate the Profiles and Settings
of a Roccat Kone mouse.
Here are the development headers needed to compile software that uses libkone.

%description koneplus
Koneplus consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat Kone[+] mouse.

%description koneplus-devel
Koneplus consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat Kone[+] mouse.
Here are the development headers needed to compile software that uses libkoneplus.

%description konepure
Konepure consists of a shared library, a console application and a GUI application.
It helps users of the konepure kernel driver to manipulate the Profiles and Settings
of a Roccat KonePure mouse.

%description konepure-devel
Konepure consists of a shared library, a console application and a GUI application.
It helps users of the konepure kernel driver to manipulate the Profiles and Settings
of a Roccat KonePure mouse.
Here are the development headers needed to compile software that uses libkonepure.

%description konepureoptical
Konepureoptical consists of a shared library, a console application and a GUI application.
It helps users of the konepure kernel driver to manipulate the Profiles and Settings
of a Roccat KonePureOptical mouse.

%description konepureoptical-devel
Konepureoptical consists of a shared library, a console application and a GUI application.
It helps users of the konepure kernel driver to manipulate the Profiles and Settings
of a Roccat KonePureOptical mouse.
Here are the development headers needed to compile software that uses libkonepureoptical.

%description konextd
Konextd consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat KoneXTD mouse.

%description konextd-devel
Konextd consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat KoneXTD mouse.
Here are the development headers needed to compile software that uses libkonextd.

%description kovaplus
Kovaplus consists of a shared library, a console application and a GUI application.
It helps users of the kovaplus kernel driver to manipulate the Profiles and Settings
of a Roccat Kova[+] mouse.

%description kovaplus-devel
Kovaplus consists of a shared library, a console application and a GUI application.
It helps users of the kovaplus kernel driver to manipulate the Profiles and Settings
of a Roccat Kova[+] mouse.
Here are the development headers needed to compile software that uses libkovaplus.

%description lua
Lua consists of a shared library, a console application and a GUI application.
It helps users of the lua kernel driver to manipulate the Settings of a Roccat Lua
mouse.

%description lua-devel
Lua consists of a shared library, a console application and a GUI application.
It helps users of the lua kernel driver to manipulate the Settings of a Roccat Lua
mouse.
Here are the development headers needed to compile software that uses liblua.

%description pyra
Pyra consists of a shared library, a console application and a GUI application.
It helps users of the pyra kernel driver to manipulate the Profiles and Settings
of a Roccat Pyra mouse.

%description pyra-devel
Pyra consists of a shared library, a console application and a GUI application.
It helps users of the pyra kernel driver to manipulate the Profiles and Settings
of a Roccat Pyra mouse.
Here are the development headers needed to compile software that uses libpyra.

%description ryos
Ryos consists of a shared library, a console application and a GUI application.
It helps users of the ryos kernel driver to manipulate the Profiles and Settings
of a Roccat Ryos keyboard.

%description ryos-devel
Ryos consists of a shared library, a console application and a GUI application.
It helps users of the ryos kernel driver to manipulate the Profiles and Settings
of a Roccat Ryos keyboard.
Here are the development headers needed to compile software that uses libryos.

%description savu
Savu consists of a shared library, a console application and a GUI application.
It helps users of the savu kernel driver to manipulate the Profiles and Settings
of a Roccat Savu mouse.

%description savu-devel
Savu consists of a shared library, a console application and a GUI application.
It helps users of the savu kernel driver to manipulate the Profiles and Settings
of a Roccat Savu mouse.
Here are the development headers needed to compile software that uses libsavu.

%prep
%setup -q -n roccat-tools-%{version}
%{__mkdir} build
cd build
cmake -DCMAKE_INSTALL_PREFIX="%{prefix}" ..

%build
cd build
%{__make}

%install
cd build
%{__rm} -rf "%{buildroot}"
%{__make} DESTDIR="%{buildroot}" install
%{__mkdir} -p "%{buildroot}/var/lib/roccat"

%clean
%{__rm} -rf "%{buildroot}"

%pre
/usr/sbin/groupadd -f roccat >/dev/null || :

%post
/sbin/ldconfig
touch --no-create %{prefix}/share/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{prefix}/share/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{prefix}/share/icons/hicolor &>dev/null || :
fi

%posttrans
gtk-update-icon-cache %{prefix}/share/icons/hicolor &>dev/null || :

%post arvo
/sbin/ldconfig

%postun arvo
/sbin/ldconfig

%post isku
/sbin/ldconfig

%postun isku
/sbin/ldconfig

%post iskufx
/sbin/ldconfig

%postun iskufx
/sbin/ldconfig

%post kone
/sbin/ldconfig

%postun kone
/sbin/ldconfig

%post koneplus
/sbin/ldconfig

%postun koneplus
/sbin/ldconfig

%post konepure
/sbin/ldconfig

%postun konepure
/sbin/ldconfig

%post konepureoptical
/sbin/ldconfig

%postun konepureoptical
/sbin/ldconfig

%post konextd
/sbin/ldconfig

%postun konextd
/sbin/ldconfig

%post kovaplus
/sbin/ldconfig

%postun kovaplus
/sbin/ldconfig

%post lua
/sbin/ldconfig

%postun lua
/sbin/ldconfig

%post pyra
/sbin/ldconfig

%postun pyra
/sbin/ldconfig

%post ryos
/sbin/ldconfig

%postun ryos
/sbin/ldconfig

%post savu
/sbin/ldconfig

%postun savu
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING Changelog
%{prefix}/bin/roccateventhandler
%{prefix}/lib*/roccat/libroccat.so*
%{prefix}/lib*/roccat/libroccatwidget.so*
%{prefix}/share/icons
%{prefix}/share/roccat
/etc/xdg/autostart/roccateventhandler.desktop
/etc/ld.so.conf.d/roccat.conf
%attr(2770,root,roccat) /var/lib/roccat

%files devel
%defattr(-,root,root)
%{prefix}/include/roccat/roccat.h

%files arvo
%defattr(-,root,root)
%{udevdir}/90-roccat-arvo.rules
%{prefix}/bin/arvo*
%{prefix}/lib*/roccat/libarvo*.so*
%{prefix}/share/applications/arvoconfig.desktop
%{prefix}/share/man/*/man1/arvo*

%files arvo-devel
%defattr(-,root,root)
%{prefix}/include/roccat/arvo.h

%files isku
%defattr(-,root,root)
%{udevdir}/90-roccat-isku.rules
%{prefix}/bin/isku*
%{prefix}/lib*/roccat/libisku*.so*
%{prefix}/share/applications/iskuconfig.desktop
%{prefix}/share/man/*/man1/isku*

%files isku-devel
%defattr(-,root,root)
%{prefix}/include/roccat/isku.h

%files iskufx
%defattr(-,root,root)
%{udevdir}/90-roccat-iskufx.rules
%{prefix}/bin/iskufx*
%{prefix}/lib*/roccat/libiskufx*.so*
%{prefix}/share/applications/iskufxconfig.desktop
%{prefix}/share/man/*/man1/iskufx*

%files iskufx-devel
%defattr(-,root,root)
%{prefix}/include/roccat/iskufx.h

%files kone
%defattr(-,root,root)
%{udevdir}/90-roccat-kone.rules
%{prefix}/bin/kone*
%{prefix}/lib*/roccat/libkone*.so*
%{prefix}/share/applications/koneconfig.desktop
%{prefix}/share/man/*/man1/kone*

%files kone-devel
%defattr(-,root,root)
%{prefix}/include/roccat/kone.h

%files koneplus
%defattr(-,root,root)
%{udevdir}/90-roccat-koneplus.rules
%{prefix}/bin/koneplus*
%{prefix}/lib*/roccat/libkoneplus*.so*
%{prefix}/share/applications/koneplusconfig.desktop
%{prefix}/share/man/*/man1/koneplus*

%files koneplus-devel
%defattr(-,root,root)
%{prefix}/include/roccat/koneplus.h

%files konepure
%defattr(-,root,root)
%{udevdir}/90-roccat-konepure.rules
%{prefix}/bin/konepure*
%{prefix}/lib*/roccat/libkonepure*.so*
%{prefix}/share/applications/konepureconfig.desktop
%{prefix}/share/man/*/man1/konepure*

%files konepure-devel
%defattr(-,root,root)
%{prefix}/include/roccat/konepure.h

%files konepureoptical
%defattr(-,root,root)
%{udevdir}/90-roccat-konepureoptical.rules
%{prefix}/bin/konepureoptical*
%{prefix}/lib*/roccat/libkonepureoptical*.so*
%{prefix}/share/applications/konepureopticalconfig.desktop
%{prefix}/share/man/*/man1/konepureoptical*

%files konepureoptical-devel
%defattr(-,root,root)
%{prefix}/include/roccat/konepureoptical.h

%files konextd
%defattr(-,root,root)
%{udevdir}/90-roccat-konextd.rules
%{prefix}/bin/konextd*
%{prefix}/lib*/roccat/libkonextd*.so*
%{prefix}/share/applications/konextdconfig.desktop
%{prefix}/share/man/*/man1/konextd*

%files konextd-devel
%defattr(-,root,root)
%{prefix}/include/roccat/konextd.h

%files kovaplus
%defattr(-,root,root)
%{udevdir}/90-roccat-kovaplus.rules
%{prefix}/bin/kovaplus*
%{prefix}/lib*/roccat/libkovaplus*.so*
%{prefix}/share/applications/kovaplusconfig.desktop
%{prefix}/share/man/*/man1/kovaplus*

%files kovaplus-devel
%defattr(-,root,root)
%{prefix}/include/roccat/kovaplus.h

%files lua
%defattr(-,root,root)
%{udevdir}/90-roccat-lua.rules
%{prefix}/bin/lua*
%{prefix}/lib*/roccat/liblua*.so*
%{prefix}/share/applications/luaconfig.desktop
%{prefix}/share/man/*/man1/lua*

%files lua-devel
%defattr(-,root,root)
%{prefix}/include/roccat/lua.h

%files pyra
%defattr(-,root,root)
%{udevdir}/90-roccat-pyra.rules
%{prefix}/bin/pyra*
%{prefix}/lib*/roccat/libpyra*.so*
%{prefix}/share/applications/pyraconfig.desktop
%{prefix}/share/man/*/man1/pyra*

%files pyra-devel
%defattr(-,root,root)
%{prefix}/include/roccat/pyra.h

%files ryos
%defattr(-,root,root)
%{udevdir}/90-roccat-ryos.rules
%{prefix}/bin/ryos*
%{prefix}/lib*/roccat/libryos*.so*
%{prefix}/share/applications/ryosconfig.desktop
%{prefix}/share/man/*/man1/ryos*

%files ryos-devel
%defattr(-,root,root)
%{prefix}/include/roccat/ryos.h

%files savu
%defattr(-,root,root)
%{udevdir}/90-roccat-savu.rules
%{prefix}/bin/savu*
%{prefix}/lib*/roccat/libsavu*.so*
%{prefix}/share/applications/savuconfig.desktop
%{prefix}/share/man/*/man1/savu*

%files savu-devel
%defattr(-,root,root)
%{prefix}/include/roccat/savu.h

%changelog
* Fri Nov 01 2013 Stefan Achatz <erazor_de@users.sourceforge.net> 1.0.0-1
- Initial version
