#ifndef __RYOSCONFIG_INFO_FRAME_H__
#define __RYOSCONFIG_INFO_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/ryos.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define RYOSCONFIG_INFO_FRAME_TYPE (ryosconfig_info_frame_get_type())
#define RYOSCONFIG_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOSCONFIG_INFO_FRAME_TYPE, RyosconfigInfoFrame))
#define IS_RYOSCONFIG_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOSCONFIG_INFO_FRAME_TYPE))

typedef struct _RyosconfigInfoFrameClass RyosconfigInfoFrameClass;
typedef struct _RyosconfigInfoFrame RyosconfigInfoFrame;
typedef struct _RyosconfigInfoFramePrivate RyosconfigInfoFramePrivate;

struct _RyosconfigInfoFrameClass {
	GtkFrameClass parent_class;
};

struct _RyosconfigInfoFrame {
	GtkFrame frame;
	RyosconfigInfoFramePrivate *priv;
};

GType ryosconfig_info_frame_get_type(void);
GtkWidget *ryosconfig_info_frame_new(void);

void ryosconfig_info_frame_clear(RyosconfigInfoFrame *frame);
void ryosconfig_info_frame_set(RyosconfigInfoFrame *frame, RyosInfo *info);

G_END_DECLS

#endif
