#ifndef __RYOSCONFIG_SETTINGS_PAGE_H__
#define __RYOSCONFIG_SETTINGS_PAGE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/ryos.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define RYOSCONFIG_SETTINGS_PAGE_TYPE (ryosconfig_settings_page_get_type())
#define RYOSCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOSCONFIG_SETTINGS_PAGE_TYPE, RyosconfigSettingsPage))
#define IS_RYOSCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOSCONFIG_SETTINGS_PAGE_TYPE))

typedef struct _RyosconfigSettingsPage RyosconfigSettingsPage;

GType ryosconfig_settings_page_get_type(void);
GtkWidget *ryosconfig_settings_page_new(void);

guint ryosconfig_settings_page_get_actual_profile(RyosconfigSettingsPage *settings_page);
void ryosconfig_settings_page_set_actual_profile(RyosconfigSettingsPage *settings_page, guint profile_index);

void ryosconfig_settings_page_clear_info(RyosconfigSettingsPage *settings_page);
void ryosconfig_settings_page_set_info(RyosconfigSettingsPage *settings_page, RyosInfo *info);

G_END_DECLS

#endif
