#ifndef __SAVUCONFIG_INFO_FRAME_H__
#define __SAVUCONFIG_INFO_FRAME_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/savu.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define SAVUCONFIG_INFO_FRAME_TYPE (savuconfig_info_frame_get_type())
#define SAVUCONFIG_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), SAVUCONFIG_INFO_FRAME_TYPE, SavuconfigInfoFrame))
#define IS_SAVUCONFIG_INFO_FRAME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), SAVUCONFIG_INFO_FRAME_TYPE))

typedef struct _SavuconfigInfoFrameClass SavuconfigInfoFrameClass;
typedef struct _SavuconfigInfoFrame SavuconfigInfoFrame;
typedef struct _SavuconfigInfoFramePrivate SavuconfigInfoFramePrivate;

struct _SavuconfigInfoFrameClass {
	GtkFrameClass parent_class;
};

struct _SavuconfigInfoFrame {
	GtkFrame frame;
	SavuconfigInfoFramePrivate *priv;
};

GType savuconfig_info_frame_get_type(void);
GtkWidget *savuconfig_info_frame_new(void);

void savuconfig_info_frame_clear(SavuconfigInfoFrame *frame);
void savuconfig_info_frame_set(SavuconfigInfoFrame *frame, SavuInfo *info);

G_END_DECLS

#endif
