#ifndef __SAVUCONFIG_SETTINGS_PAGE_H__
#define __SAVUCONFIG_SETTINGS_PAGE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/savu.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define SAVUCONFIG_SETTINGS_PAGE_TYPE (savuconfig_settings_page_get_type())
#define SAVUCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), SAVUCONFIG_SETTINGS_PAGE_TYPE, SavuconfigSettingsPage))
#define IS_SAVUCONFIG_SETTINGS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), SAVUCONFIG_SETTINGS_PAGE_TYPE))

typedef struct _SavuconfigSettingsPage SavuconfigSettingsPage;

GType savuconfig_settings_page_get_type(void);
GtkWidget *savuconfig_settings_page_new(void);

guint savuconfig_settings_page_get_actual_profile(SavuconfigSettingsPage *settings_page);
void savuconfig_settings_page_set_actual_profile(SavuconfigSettingsPage *settings_page, guint profile_number);

void savuconfig_settings_page_clear_info(SavuconfigSettingsPage *settings_page);
void savuconfig_settings_page_set_info(SavuconfigSettingsPage *settings_page, SavuInfo *info);

G_END_DECLS

#endif
